org.springframework.jdbc.core.metadata

## Class CallParameterMetaData

- java.lang.Object
- - org.springframework.jdbc.core.metadata.CallParameterMetaData

-     public class CallParameterMetaData
      extends Object

  Holder of meta-data for a specific parameter that is used for call processing.
  Since:
    2.5
  Author:
    Thomas Risberg, Juergen Hoeller
  See Also:
    `GenericCallMetaDataProvider`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CallParameterMetaData(boolean function, String columnName, int columnType, int sqlType, String typeName, boolean nullable)` Constructor taking all the properties including the function marker.
    `CallParameterMetaData(String columnName, int columnType, int sqlType, String typeName, boolean nullable)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getParameterName()` Return the parameter name.
    `int` | `getParameterType()` Return the parameter type.
    `int` | `getSqlType()` Return the parameter SQL type.
    `String` | `getTypeName()` Return the parameter type name.
    `boolean` | `isFunction()` Return whether this parameter is declared in a function.
    `boolean` | `isInOutParameter()` Determine whether the declared parameter qualifies as an 'in-out' parameter for our purposes: type `DatabaseMetaData.procedureColumnInOut`, or in case of a function, `DatabaseMetaData.functionColumnInOut`.
    `boolean` | `isNullable()` Return whether the parameter is nullable.
    `boolean` | `isOutParameter()` Determine whether the declared parameter qualifies as an 'out' parameter for our purposes: type `DatabaseMetaData.procedureColumnOut`, or in case of a function, `DatabaseMetaData.functionColumnOut`.
    `boolean` | `isReturnParameter()` Determine whether the declared parameter qualifies as a 'return' parameter for our purposes: type `DatabaseMetaData.procedureColumnReturn` or `DatabaseMetaData.procedureColumnResult`, or in case of a function, `DatabaseMetaData.functionReturn`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CallParameterMetaData

          @Deprecated
          public CallParameterMetaData(@Nullable
                                                   String columnName,
                                                   int columnType,
                                                   int sqlType,
                                                   @Nullable
                                                   String typeName,
                                                   boolean nullable)

      Deprecated.
      Constructor taking all the properties except the function marker.

    - #### CallParameterMetaData

          public CallParameterMetaData(boolean function,
                                       @Nullable
                                       String columnName,
                                       int columnType,
                                       int sqlType,
                                       @Nullable
                                       String typeName,
                                       boolean nullable)

      Constructor taking all the properties including the function marker.
      Since:
        5.2.9

  - ### Method Detail

    - #### isFunction

          public boolean isFunction()

      Return whether this parameter is declared in a function.
      Since:
        5.2.9

    - #### getParameterName

          @Nullable
          public String getParameterName()

      Return the parameter name.

    - #### getParameterType

          public int getParameterType()

      Return the parameter type.

    - #### isReturnParameter

          public boolean isReturnParameter()

      Determine whether the declared parameter qualifies as a 'return' parameter for our purposes: type `DatabaseMetaData.procedureColumnReturn` or `DatabaseMetaData.procedureColumnResult`, or in case of a function, `DatabaseMetaData.functionReturn`.
      Since:
        4.3.15

    - #### isOutParameter

          public boolean isOutParameter()

      Determine whether the declared parameter qualifies as an 'out' parameter for our purposes: type `DatabaseMetaData.procedureColumnOut`, or in case of a function, `DatabaseMetaData.functionColumnOut`.
      Since:
        5.3.31

    - #### isInOutParameter

          public boolean isInOutParameter()

      Determine whether the declared parameter qualifies as an 'in-out' parameter for our purposes: type `DatabaseMetaData.procedureColumnInOut`, or in case of a function, `DatabaseMetaData.functionColumnInOut`.
      Since:
        5.3.31

    - #### getSqlType

          public int getSqlType()

      Return the parameter SQL type.

    - #### getTypeName

          @Nullable
          public String getTypeName()

      Return the parameter type name.

    - #### isNullable

          public boolean isNullable()

      Return whether the parameter is nullable.